Subject: Re: [PATCH 0/2] gitweb: Add support for running gitweb as FastCGI script

From: Eric Wong <[email-masked]>
Date: Sun, 9 May 2010 02:31:00 -0700

Jakub Narebski <[email-masked]> wrote:
> On Fri, 7 May 2010, Jakub Narebski wrote:
> 
> > The alternate solution would be to add gitweb.fcgi wrapper, like e.g.:
> > in the following patch by Eric Wong
> > 
> >   "[PATCH 1/2] gitweb: add a simple wrapper for FCGI support"
> >   http://thread.gmane.org/gmane.comp.version-control.git/35920/focus=35921
> > 
> > which was part of the "[0/2 PATCH] FastCGI and nginx support for gitweb"
> > series.  (Note that the patch does 'do $gitweb_cgi;' without checking for
> > errors, see the bottom of `perldoc -f do` documentation on how it should
> > be done).
> 
> I think a better solution here would be to use CGI::Compile instead
> of 'do $gitweb_cgi;'.

Possibly, now that CGI::Compile exists.  Can that be used with a
standalone Perl HTTP server?

It's 2010 now and I have long abandoned FastCGI in favor of using HTTP
to the application backends.  In my experience, having only one
plain-text protocol for both frontend web serving and backend
application RPC makes development/monitoring/testing much easier.

I just use Ruby WEBrick nowadays for any instaweb instances I run to
share with a few cow-orkers.  I do a reasonable amount of development in
Ruby, so it's always installed and ready for me.  It would be nice if
there were something standalone and as ubiquitous as WEBrick in the Perl
world.

-- 
Eric Wong